/*
Theme Name: Maps Cash & Carry
Theme URI: https://oceanwp.org/
Description: OceanWP theme must be installed before activating this custom child theme!
Author: FWUK
Author URI: https://freelanceworks.co.uk/
Template: oceanwp
Text Domain: oceanwp
Version: 1.0
*/

/* SITE WIDE
********************************************************************************************************************************************************** */
html { max-width: 1920px; margin:0 auto; background:#fefefe; }
a, a:hover, a:focus { text-decoration: none; outline: none !important; } 
.grecaptcha-badge { display: none; }

.omw-modal.omw-open { transition: all .5s linear !important; }
h1, h2, h3, h4, h5, h6 { line-height: 1.1em !important; }

.swiper-wrapper{
  -webkit-transition-timing-function: linear !important;
  transition-timing-function: linear !important; 
}

.woocommerce-form-login__rememberme,
.woocommerce-LostPassword.lost_password {
	display: none !important;
}


/* Single Product */
.owp-product-nav-wrap { position: relative !important; }

/* Search Form */
.general-search { background: #fffce5;  margin: 10px auto !important; }
form.woocommerce-product-search { display: flex !important; }
.woocommerce-product-search button[type="submit"] {	margin-top: 0 !important; margin-left: 2px; }



.error404-content .error-title, .error404-content .searchform { display: none; }
.error404-content .error-text { margin-top: 20px; }
.error404-content .error-btn { margin-top: 0 !important; }


/* Header */

a.wcmenucart { border-radius: 5px; padding: 6px 18px !important; background: #fffce5; }
a.wcmenucart::before { content: "BASKET"; display: inline-block; font-size: 12px !important; }

#site-header { border: none !important; }
#site-header .sidebar-box { margin-bottom: 0 !important; }
#site-logo-inner,
.fwuk-header-left,
.fwuk-header-right { display:  flex !important; justify-content: space-between; align-items: flex-start; } 
.fwuk-loggedin-user { font-weight: 700; color: #dd3333; text-transform: capitalize; }
#menu-account-login .icon { margin-right: 6px; }
#menu-account-login li#menu-item-2478 a { color: #fff !important; }
ul#menu-account-login { list-style: none !important; margin: 0 !important; }

#site-header.medium-header .oceanwp-mobile-menu-icon a { font-size: 18px; }
@media only screen and (max-width:767px) {
	#site-logo-inner, .fwuk-header-left, .fwuk-header-right { flex-direction: column; gap: 6px; align-items: center; }
}

@media only screen and (max-width:767px) {
	.bottom-header-wrap { padding-top: 6px; padding-bottom: 6px; background: #f2faff; }
	#site-header.medium-header .oceanwp-mobile-menu-icon { background-color: transparent!important; }
	.fwuk-header-left { display: none !important; }
}
#site-navigation-wrap > .container { padding-top: 6px !important; padding-bottom: 6px !important; width: 1920px !important; max-width: 100% !important; background: #f2faff !important; }

/* Archives */

.page-header-title { margin-bottom: 8px !important; }
.site-breadcrumbs { height: initial !important; }

.woocommerce ul.products li.product li.title h2 {
	height: 2.8em;
	margin: 0 !important;
}
.woocommerce-product-gallery__image { pointer-events: none; }

.page-numbers a, .page-numbers span:not(.elementor-screen-only), .page-links span { margin: 4px !important; }
.page-numbers.current {	border-color: #1e73be !important; }

@media only screen and (max-width:959px) {
	.woocommerce ul.products li.product li.title h2 { height: 3.2em;  font-size: 12px !important; }
	.woocommerce ul.products li.product .button, .woocommerce ul.products li.product .product-inner .added_to_cart { font-size: 12px !important; }
	.woocommerce .products .product-inner {	padding: 16px 6px 12px 6px !important; }
}

li.cat-item.current-cat a,
li.cat-item.current-cat span { color: #1760bd  !important;  }

.woo-entry-inner form.cart {
	display: flex;
	justify-content: space-between;
	align-items: center;
}
@media only screen and (max-width:959px) {
	.woo-entry-inner form.cart {
		flex-direction: column;
		gap: 12px;
	}
}

/* Cart & Checkout */
.cart_item .product-name { color: #0664b7 !important; }
.cart_item .product-total bdi { color: #1e73be !important; }
.woocommerce #order_review table.shop_table td { padding: 4px 20px !important; }

#billing_country_field, #shipping_country_field,
.woocommerce-table__product-purchase-note.product-purchase-note,
.woocommerce-shipping-totals.shipping td strong,
.woocommerce-shipping-destination { display: none; }

ul.order_details li strong { display: initial !important; }
.woocommerce-order-received .woocommerce-order p { display: none !important; }

.woocommerce-additional-fields__field-wrapper label { display: none !important; }

#billing_company_field .woocommerce-input-wrapper { pointer-events: none !important; }

/* My Account */

.woocommerce-MyAccount-tabs .oceanwp-user-profile .user-info .name { line-height: 1.4em !important; text-align: center; text-transform: uppercase; color: #1e73be !important; margin-bottom: 6px !important; }
.woocommerce-MyAccount-tabs .oceanwp-user-profile .user-info .name::before { content: "Welcome"; font-weight: 700; display: inline-block; margin-right: 6px; }
.woocommerce-MyAccount-tabs .oceanwp-user-profile .user-info .logout {
	font-size: 16px !important;
	background: #1e73be;
	padding: 6px 12px;
	width: 100%;
	display: block;
	text-transform: uppercase;
	color: #fff;
	text-align: center;
}
.woocommerce-MyAccount-tabs .oceanwp-user-profile .user-info .logout::after { font-family: 'Font Awesome 5 Free'; content: "\f2f5"; font-weight: 700; display: inline-block; margin-left: 6px; }

.woocommerce-MyAccount-tabs .oceanwp-user-profile .image,
.woocommerce-dashboard .woocommerce-MyAccount-content p:nth-child(2), .woocommerce-dashboard .woocommerce-MyAccount-content p:nth-child(3) { display: none !important; }
.woocommerce-MyAccount-navigation ul { border-top: none !important; }
.woocommerce-MyAccount-tabs .oceanwp-user-profile .user-info { padding-right: 15px; }
.woocommerce-MyAccount-navigation ul li a {	padding: 12px 0 0 !important; }
.woocommerce-MyAccount-navigation ul { margin: 0 !important; }
@media only screen and (min-width:768px) {
	.woocommerce-MyAccount-navigation ul { justify-content: initial !important;  padding-left: 40px !important; gap: 40px !important; }
}

/* RESPONSIVE
********************************************************************************************************************************************************** */
@media only screen and (max-width:767px) {

}
@media only screen and (min-width:768px) {

}
@media only screen and (max-width: 959px) {

}
@media only screen and (min-width: 960px) {

}

/* CONTACT FORM 7
********************************************************************************************************************************************************** */
.wpcf7-form label { color: #285277; }
.wpcf7-form textarea {	min-height: initial; line-height: 1.5; resize: vertical; }
.wpcf7-form p { margin: 0 0 10px !important; }

.wpcf7-form input[type="text"], .wpcf7-form input[type="email"], .wpcf7-form input[type="tel"], .wpcf7-form textarea { border-color: #7eb2b6 !important; padding-left:30px; }
.wpcf7-form span[data-name="your-name"]::before { font-family: 'Font Awesome 5 Free'; content: "\f007"; position: absolute; top: -5px; left: 8px; } 
.wpcf7-form span[data-name="your-email"]::before { font-family: 'Font Awesome 5 Free'; content: "\f0e0"; position: absolute; top: -5px; left: 8px;}
.wpcf7-form span[data-name="your-phone"]::before { font-family: 'Font Awesome 5 Free'; content: "\f879"; font-weight: 700; position: absolute; top: -5px; left: 8px; } 
.wpcf7-form span[data-name="your-location"]::before { font-family: 'Font Awesome 5 Free'; content: "\f3c5"; font-weight: 700; position: absolute; top: -5px; left: 8px; } 
.wpcf7-form span[data-name="your-message"]::before { font-family: 'Font Awesome 5 Free'; content: "\f27a"; position: absolute; top: -25px; left: 8px; } 

/* BUTTON ANIMATIONS
********************************************************************************************************************************************************** */
.fwuk-soh-1 { min-width: 200px; text-align: center; display: inline-block; -webkit-transform: perspective(1px) translateZ(0); transform: perspective(1px) translateZ(0);
	position: relative; background: #333; -webkit-transition-property: color; transition-property: color; -webkit-transition-duration: 0.3s;  transition-duration: 0.3s;
	padding: 5px 15px; color: #fff; margin: 5px; }
.fwuk-soh-1::before { content: ""; position: absolute; z-index: -1; top: 0; bottom: 0; left: 0; right: 0; background: #3372a3;
	-webkit-transform: scaleX(0); transform: scaleX(0); -webkit-transform-origin: 50%; transform-origin: 50%; -webkit-transition-property: transform; transition-property: transform;
	-webkit-transition-duration: 0.3s; transition-duration: 0.3s; -webkit-transition-timing-function: ease-out; transition-timing-function: ease-out; }
.fwuk-soh-1:hover, .fwuk-soh-1:focus, .fwuk-soh-1:active { color: #fff; }
.fwuk-soh-1:hover::before, .fwuk-soh-1:focus::before, .fwuk-soh-1:active::before { -webkit-transform: scaleX(1); transform: scaleX(1); }

.fwuk-soh-2 { min-width: 200px; text-align: center; display: inline-block; -webkit-transform: perspective(1px) translateZ(0); transform: perspective(1px) translateZ(0);
	position: relative; background: #229799; -webkit-transition-property: color; transition-property: color; -webkit-transition-duration: 0.3s;  transition-duration: 0.3s;
	padding: 5px 15px; color: #fff !important; margin: 5px; }
.fwuk-soh-2::before { content: ""; position: absolute; z-index: -1; top: 0; bottom: 0; left: 0; right: 0; background: #000;
	-webkit-transform: scaleX(0); transform: scaleX(0); -webkit-transform-origin: 50%; transform-origin: 50%; -webkit-transition-property: transform; transition-property: transform;
	-webkit-transition-duration: 0.3s; transition-duration: 0.3s; -webkit-transition-timing-function: ease-out; transition-timing-function: ease-out; }
.fwuk-soh-2:hover, .fwuk-soh-2:focus, .fwuk-soh-2:active { color: #fff !important; }
.fwuk-soh-2:hover::before, .fwuk-soh-2:focus::before, .fwuk-soh-2:active::before { -webkit-transform: scaleX(1); transform: scaleX(1); }

/* ******************************************************************************************************************************************************* */
